Package org.apache.datasketches.common

# Class SketchesReadOnlyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.datasketches.common.SketchesException
org.apache.datasketches.common.SketchesReadOnlyException

All Implemented Interfaces:
  `Serializable`

public class SketchesReadOnlyException extends SketchesException
Write operation attempted on a read-only class.

Author:
  Lee Rhodes
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SketchesReadOnlyException()`
Constructs a new runtime exception with the message: "Write operation attempted on a read-only class."
`SketchesReadOnlyException(String message)`
Constructs a new runtime exception with the specified detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SketchesReadOnlyException

public SketchesReadOnlyException()
Constructs a new runtime exception with the message: "Write operation attempted on a read-only class."

The cause is not initialized, and may subsequently be initialized by a call to Throwable.initCause(java.lang.Throwable).

### SketchesReadOnlyException

public SketchesReadOnlyException(String message)
Constructs a new runtime exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to Throwable.initCause(java.lang.Throwable).

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.